"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const xsd_1 = __importDefault(require("./xsd"));
function blankNode(term) {
    return `_:${term.value}`;
}
exports.blankNode = blankNode;
function namedNode(term) {
    return `<${term.value}>`;
}
exports.namedNode = namedNode;
function literal(term) {
    const value = `"${term.value}"`;
    if (term.language) {
        return `${value}@${term.language}`;
    }
    if (term.datatype && !term.datatype.equals(xsd_1.default.string)) {
        return `${value}^^${namedNode(term.datatype)}`;
    }
    return value;
}
exports.literal = literal;
